Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class ProductPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ProductPlugin

    public abstract class ProductPlugin

extends GenericPlugin

Field Summary
`static int` | `CFGTYPE_IDX_CONTROL`
`static int` | `CFGTYPE_IDX_MEASUREMENT`
`static int` | `CFGTYPE_IDX_PRODUCT`
`static int` | `CFGTYPE_IDX_RESPONSE_TIME`
`static String[]` | `CONFIGURABLE_TYPES`
`static String` | `DEFAULT_INSTALLPATH`
`static int` | `DEPLOYMENT_ORDER_LAST`
`protected ProductPluginManager` | `manager`
`static String` | `PROP_INSTALLPATH`
`static String` | `PROP_PLATFORM_FQDN`
`static String` | `PROP_PLATFORM_ID`
`static String` | `PROP_PLATFORM_IP`
`static String` | `PROP_PLATFORM_MACADDR`
`static String` | `PROP_PLATFORM_NAME`
`static String` | `PROP_PLATFORM_TYPE`
`static String` | `PROP_RESOURCE_NAME`
`static String` | `TYPE_AUTOINVENTORY`
`static String` | `TYPE_CONFIG_TRACK`
`static String` | `TYPE_CONTROL`
`static String` | `TYPE_LIVE_DATA`
`static String` | `TYPE_LOG_TRACK`
`static String` | `TYPE_MEASUREMENT`
`static String` | `TYPE_PRODUCT`
`static String` | `TYPE_RESPONSE_TIME`
`static String[]` | `TYPES`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`ProductPlugin()`

Method Summary
`protected void` | `addScriptLanguage(ScriptLanguagePlugin plugin)`
`String[]` | `getClassPath(ProductPluginManager manager)`
`org.hyperic.util.config.ConfigSchema` | `getConfigSchema(TypeInfo info, org.hyperic.util.config.ConfigResponse config)` The ConfigSchema used to render config options for this resource in the UI and client shell.
`protected int` | `getDeploymentOrder()`
`String` | `getInstallPath()`
`protected ProductPluginManager` | `getManager()`
`GenericPlugin` | `getPlugin(String type, TypeInfo info)`
`TypeInfo[]` | `getTypes()`
`protected File` | `getWorkDir(String type)`
`void` | `init(PluginManager manager)` Called when the plugin is loaded on the server and on the agent side.

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, configure, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getPluginVersion, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setPluginVersion, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_AUTOINVENTORY

    public static final String TYPE_AUTOINVENTORY

See Also:
  Constant Field Values

### TYPE_CONTROL

    public static final String TYPE_CONTROL

See Also:
  Constant Field Values

### TYPE_MEASUREMENT

    public static final String TYPE_MEASUREMENT

See Also:
  Constant Field Values

### TYPE_PRODUCT

    public static final String TYPE_PRODUCT

See Also:
  Constant Field Values

### TYPE_RESPONSE_TIME

    public static final String TYPE_RESPONSE_TIME

See Also:
  Constant Field Values

### TYPE_LOG_TRACK

    public static final String TYPE_LOG_TRACK

See Also:
  Constant Field Values

### TYPE_CONFIG_TRACK

    public static final String TYPE_CONFIG_TRACK

See Also:
  Constant Field Values

### TYPE_LIVE_DATA

    public static final String TYPE_LIVE_DATA

See Also:
  Constant Field Values

### PROP_INSTALLPATH

    public static final String PROP_INSTALLPATH

See Also:
  Constant Field Values

### PROP_RESOURCE_NAME

    public static final String PROP_RESOURCE_NAME

See Also:
  Constant Field Values

### PROP_PLATFORM_NAME

    public static final String PROP_PLATFORM_NAME

See Also:
  Constant Field Values

### PROP_PLATFORM_TYPE

    public static final String PROP_PLATFORM_TYPE

See Also:
  Constant Field Values

### PROP_PLATFORM_FQDN

    public static final String PROP_PLATFORM_FQDN

See Also:
  Constant Field Values

### PROP_PLATFORM_IP

    public static final String PROP_PLATFORM_IP

See Also:
  Constant Field Values

### PROP_PLATFORM_ID

    public static final String PROP_PLATFORM_ID

See Also:
  Constant Field Values

### PROP_PLATFORM_MACADDR

    public static final String PROP_PLATFORM_MACADDR

See Also:
  Constant Field Values

### DEPLOYMENT_ORDER_LAST

    public static final int DEPLOYMENT_ORDER_LAST

See Also:
  Constant Field Values

### DEFAULT_INSTALLPATH

    public static final String DEFAULT_INSTALLPATH

See Also:
  Constant Field Values

### TYPES

    public static final String[] TYPES

### CONFIGURABLE_TYPES

    public static final String[] CONFIGURABLE_TYPES

### CFGTYPE_IDX_PRODUCT

    public static final int CFGTYPE_IDX_PRODUCT

See Also:
  Constant Field Values

### CFGTYPE_IDX_MEASUREMENT

    public static final int CFGTYPE_IDX_MEASUREMENT

See Also:
  Constant Field Values

### CFGTYPE_IDX_CONTROL

    public static final int CFGTYPE_IDX_CONTROL

See Also:
  Constant Field Values

### CFGTYPE_IDX_RESPONSE_TIME

    public static final int CFGTYPE_IDX_RESPONSE_TIME

See Also:
  Constant Field Values

### manager

    protected ProductPluginManager manager

Constructor Detail

### ProductPlugin

    public ProductPlugin()

Method Detail

### getInstallPath

    public String getInstallPath()

### addScriptLanguage

    protected void addScriptLanguage(ScriptLanguagePlugin plugin)

### init

    public void init(PluginManager manager)
              throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the plugin is loaded on the server and on the agent side.

  Overrides:
    `init` in class `GenericPlugin`
  Parameters:
    `manager` - The plugin manager for this plugin type.
  Throws:
    `PluginException`

### getManager

    protected ProductPluginManager getManager()

### getClassPath

    public String[] getClassPath(ProductPluginManager manager)

### getPlugin

    public GenericPlugin getPlugin(String type,
                                   TypeInfo info)

### getConfigSchema

    public org.hyperic.util.config.ConfigSchema getConfigSchema(TypeInfo info,
                                                                org.hyperic.util.config.ConfigResponse config)

  Description copied from class: `GenericPlugin`
  The ConfigSchema used to render config options for this resource in the UI and client shell.

  Overrides:
    `getConfigSchema` in class `GenericPlugin`
  Parameters:
    `info` - The TypeInfo of this plugin from ProductPlugin.getTypes
    `config` - ConfigReponse of the parent resource (if any).
  Returns:
    ConfigSchema for this resource.

### getTypes

    public TypeInfo[] getTypes()

### getWorkDir

    protected File getWorkDir(String type)

### getDeploymentOrder

    protected int getDeploymentOrder()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.